Dividends
curl --request GET \
--url https://www.prometheus.services/api/v1/companies/{id}/dividends \
--header 'X-API-KEY: <api-key>'import requests
url = "https://www.prometheus.services/api/v1/companies/{id}/dividends"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://www.prometheus.services/api/v1/companies/{id}/dividends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cik": "0000726728",
"symbol": "O",
"currency": "USD",
"events": [
{
"exDate": "1994-10-26",
"type": "Cash",
"amount": 0.149999,
"amountSplitAdj": 0.072674,
"ttm": 0.072674,
"changePct": null
},
{
"exDate": "1994-11-25",
"type": "Cash",
"amount": 0.149999,
"amountSplitAdj": 0.072674,
"ttm": 0.145348,
"changePct": 0
},
{
"exDate": "1994-12-27",
"type": "Cash",
"amount": 0.149999,
"amountSplitAdj": 0.072674,
"ttm": 0.218022,
"changePct": 0
}
],
"summary": {
"count": 381,
"latestAmount": 0.271,
"latestExDate": "2026-07-31",
"ttmTotal": 3.513
}
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}Financial Statements
Dividends
Dividend history.
GET
/
api
/
v1
/
companies
/
{id}
/
dividends
Dividends
Authorizations
apiKeycognitoIdToken
Prometheus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
Ticker symbol (e.g. NVDA) or numeric SEC CIK (zero-padding optional).
Response
OK
The response is of type object.
⌘I